{
  config,
  pkgs,
  lib,
  ...
}: {
  boot = {
    tmp.cleanOnBoot = true;
    bootspec.enable = true;
    consoleLogLevel = 0;

    kernelParams = [
      "cgroup_no_v1=all"
      "systemd.unified_cgroup_hierarchy=yes"
    ];
    initrd.verbose = false;

    loader = {
      systemd-boot.enable = true;
      systemd-boot.editor = false;
      efi.canTouchEfiVariables = true;
      timeout = 1;
    };
  };
}
